Name:          vulkan-loader
Version:       1.2.134
Release:       1mamba
Summary:       Vulkan Loader library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/KhronosGroup/Vulkan-Loader.git
## GITSOURCE https://github.com/KhronosGroup/Vulkan-Loader.git v1.2.134
Source:        https://github.com/KhronosGroup/Vulkan-Loader.git/v%{version}/Vulkan-Loader-%{version}.tar.bz2
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: vulkan-headers = %{version}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Vulkan Loader.

%package -n libvulkan
Group:         System/Libraries
Summary:       Vulkan Loader library

%description -n libvulkan
Vulkan Loader library.

%package -n libvulkan-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      libvulkan = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n libvulkan-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q -n Vulkan-Loader-%{version}

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n libvulkan -p /sbin/ldconfig
%postun -n libvulkan -p /sbin/ldconfig

%files -n libvulkan
%defattr(-,root,root)
%{_libdir}/libvulkan.so.*

%files -n libvulkan-devel
%defattr(-,root,root)
%{_libdir}/libvulkan.so
%{_libdir}/pkgconfig/vulkan.pc
%doc README.md

%changelog
* Tue Mar 17 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.134-1mamba
- package created using the webbuild interface
